"""v21.12.0_feature/#207

Revision ID: 52b9095d9dff
Revises: 05eab8fbc21b
Create Date: 2021-10-08 13:40:57.416791

"""
from alembic import op
import sqlalchemy as sa

from app.database import get_db_schema, engine
from config import MAX_UPLOAD_FILE_SIZE

# revision identifiers, used by Alembic.
revision = '52b9095d9dff'
down_revision = '05eab8fbc21b'
branch_labels = None
depends_on = None


def upgrade():
    """
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('upload_file',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('file_id', sa.String(length=36), nullable=False),
    sa.Column('issuer_address', sa.String(length=42), nullable=False),
    sa.Column('relation', sa.String(length=50), nullable=True),
    sa.Column('file_name', sa.String(length=256), nullable=False),
    sa.Column('content', sa.LargeBinary(length=MAX_UPLOAD_FILE_SIZE), nullable=False),
    sa.Column('content_size', sa.Integer(), nullable=True),
    sa.Column('description', sa.String(length=1000), nullable=True),
    sa.PrimaryKeyConstraint('file_id')
    , schema=get_db_schema())
    # ### end Alembic commands ###
    """
    if engine.name == "mysql":
        # NOTE:
        #   Specify length, because switch column type to BLOB, MEDIUMBLOB, and LONGBLOB.
        #   Don’t support modifying environment variable value after migration.
        content_column = sa.Column('content', sa.LargeBinary(length=MAX_UPLOAD_FILE_SIZE), nullable=False)
    else:
        content_column = sa.Column('content', sa.LargeBinary(), nullable=False)
    op.create_table('upload_file',
                    sa.Column('created', sa.DateTime(), nullable=True),
                    sa.Column('modified', sa.DateTime(), nullable=True),
                    sa.Column('file_id', sa.String(length=36), nullable=False),
                    sa.Column('issuer_address', sa.String(length=42), nullable=False),
                    sa.Column('relation', sa.String(length=50), nullable=True),
                    sa.Column('file_name', sa.String(length=256), nullable=False),
                    content_column,
                    sa.Column('content_size', sa.Integer(), nullable=True),
                    sa.Column('description', sa.String(length=1000), nullable=True),
                    sa.PrimaryKeyConstraint('file_id'),
                    schema=get_db_schema())


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('upload_file', schema=get_db_schema())
    # ### end Alembic commands ###
