"""v22_9_0_feature_331

Revision ID: fad6669cad84
Revises: 0fc0196253f8
Create Date: 2022-07-11 10:11:07.522758

"""
from alembic import op
import sqlalchemy as sa


from app.database import get_db_schema

# revision identifiers, used by Alembic.
revision = 'fad6669cad84'
down_revision = '0fc0196253f8'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('batch_issue_redeem',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('upload_id', sa.String(length=36), nullable=True),
    sa.Column('account_address', sa.String(length=42), nullable=False),
    sa.Column('amount', sa.Integer(), nullable=False),
    sa.Column('status', sa.Integer(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    , schema=get_db_schema())
    op.create_index(op.f('ix_batch_issue_redeem_status'), 'batch_issue_redeem', ['status'], unique=False, schema=get_db_schema())
    op.create_index(op.f('ix_batch_issue_redeem_upload_id'), 'batch_issue_redeem', ['upload_id'], unique=False, schema=get_db_schema())
    op.create_table('batch_issue_redeem_upload',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('modified', sa.DateTime(), nullable=True),
    sa.Column('upload_id', sa.String(length=36), nullable=False),
    sa.Column('issuer_address', sa.String(length=42), nullable=False),
    sa.Column('token_type', sa.String(length=40), nullable=False),
    sa.Column('token_address', sa.String(length=42), nullable=False),
    sa.Column('category', sa.String(length=20), nullable=False),
    sa.Column('processed', sa.Boolean(), nullable=True),
    sa.PrimaryKeyConstraint('upload_id')
    , schema=get_db_schema())
    op.create_index(op.f('ix_batch_issue_redeem_upload_issuer_address'), 'batch_issue_redeem_upload', ['issuer_address'], unique=False, schema=get_db_schema())
    op.create_index(op.f('ix_batch_issue_redeem_upload_processed'), 'batch_issue_redeem_upload', ['processed'], unique=False, schema=get_db_schema())
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_batch_issue_redeem_upload_processed'), table_name='batch_issue_redeem_upload', schema=get_db_schema())
    op.drop_index(op.f('ix_batch_issue_redeem_upload_issuer_address'), table_name='batch_issue_redeem_upload', schema=get_db_schema())
    op.drop_table('batch_issue_redeem_upload', schema=get_db_schema())
    op.drop_index(op.f('ix_batch_issue_redeem_upload_id'), table_name='batch_issue_redeem', schema=get_db_schema())
    op.drop_index(op.f('ix_batch_issue_redeem_status'), table_name='batch_issue_redeem', schema=get_db_schema())
    op.drop_table('batch_issue_redeem', schema=get_db_schema())
    # ### end Alembic commands ###
